org.tmatesoft.svn.core.wc

## Interface ISVNCommitParameters

All Known Implementing Classes:
  DefaultSVNCommitParameters

    public interface ISVNCommitParameters

ISVNCommitParameters is the interface for parameters which set behaviour for a commit operation that touches still versioned files or dirs that are somehow missing.

To bring your commit parameters into usage, simply pass them to a committer object, for example, to `SVNCommitClient`.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.
See Also:
  `DefaultSVNCommitParameters`

### Nested Class Summary

Nested Classes
`static class` `ISVNCommitParameters.Action` This class is simply used to define an action a commit operation should undertake in case of a missing file/directory.

### Field Summary

Fields
`static ISVNCommitParameters.Action` `DELETE` A constant that instructs a commit operation to force a deletion of a missing item.
`static ISVNCommitParameters.Action` `ERROR` A constant that defines a file/dir missing situation as an error, commit should fail.
`static ISVNCommitParameters.Action` `SKIP` A constant that instructs a commit operation to skip a missing item.

### Method Summary

Methods
`boolean` `onDirectoryDeletion(java.io.File directory)` Instructs whether to remove the local `directory` after commit or not.
`boolean` `onFileDeletion(java.io.File file)` Instructs whether to remove the local `file` after commit or not.
`ISVNCommitParameters.Action` `onMissingDirectory(java.io.File file)` Returns the action a commit operation should undertake if there's a missing directory under commit scope that is not however scheduled for deletion.
`ISVNCommitParameters.Action` `onMissingFile(java.io.File file)` Returns the action a commit operation should undertake if there's a missing file under commit scope that is not however scheduled for deletion.

### Field Detail

#### ERROR

    static final ISVNCommitParameters.Action ERROR

A constant that defines a file/dir missing situation as an error, commit should fail.

#### SKIP

    static final ISVNCommitParameters.Action SKIP

A constant that instructs a commit operation to skip a missing item. So, the item is not committed.

#### DELETE

    static final ISVNCommitParameters.Action DELETE

A constant that instructs a commit operation to force a deletion of a missing item. Although the item may be not scheduled for deletion (only missing in filesystem) it will be deleted from version control.

### Method Detail

#### onMissingFile

    ISVNCommitParameters.Action onMissingFile(java.io.File file)

Returns the action a commit operation should undertake if there's a missing file under commit scope that is not however scheduled for deletion.

Parameters:
  `file` - a missing file
Returns:
  an action that must be one of the constants defined in the interface

#### onMissingDirectory

    ISVNCommitParameters.Action onMissingDirectory(java.io.File file)

Returns the action a commit operation should undertake if there's a missing directory under commit scope that is not however scheduled for deletion.

Parameters:
  `file` - a missing directory
Returns:
  an action that must be one of the constants defined in the interface

#### onDirectoryDeletion

    boolean onDirectoryDeletion(java.io.File directory)

Instructs whether to remove the local `directory` after commit or not.

Parameters:
  `directory` - working copy directory
Returns:
  true if directory should be deleted after commit

#### onFileDeletion

    boolean onFileDeletion(java.io.File file)

Instructs whether to remove the local `file` after commit or not.

Parameters:
  `file` - working copy file
Returns:
  true if file should be deleted after commit